www.cendio.com
Bug 6160 - web access stops updating until you move the mouse
: web access stops updating until you move the mouse
Status: CLOSED FIXED
: ThinLinc
Web Access
: 1.3.1
: PC Unknown
: P2 Normal
: 4.8.0
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2017-02-03 15:56 by
Modified: 2017-05-15 10:01 (History)
Acceptance Criteria:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From cendio 2017-02-03 15:56:20
Seen with Chrome on Windows. Was triggered with Youtube running and scrolling
that browser window.

The bug is in websock.js where it tries to avoid overfilling the underlying
socket, but fails to restart again.
------- Comment #2 From cendio 2017-02-08 14:24:05 -------
ThinLinc 4.7.0: Can't reproduce the problem
 nightly build: Can't reproduce the problem

If there ever was a problem in between these versions, it's not there now.

¯\_(ツ)_/¯
------- Comment #3 From cendio 2017-02-10 16:39:02 -------
The vendordrop for this bug breaks resize on desktop Chrome. If you resize to
make the window smaller, you will end up with scroll bars.
------- Comment #8 From cendio 2017-02-16 17:17:58 -------
All fixed now.
------- Comment #9 From cendio 2017-02-17 16:26:47 -------
Tester should verify that mouse and resize works well now.
------- Comment #10 From cendio 2017-02-21 09:32:39 -------
Resize in EDGE on Windows 10 from big to small will result in a disconnect:

 VNCSConnST:  tl-shadow-notify: CloseAuthenticatedConnection
 Connections: closed: 127.0.0.1::36190 (Pixel buffer request 0x0 at 1030,880
              exceeds framebuffer 782x535)
 EncodeManager: Framebuffer updates: 228
 EncodeManager:   Tight:
 EncodeManager:     Solid: 461 rects, 3.29934 Mpixels
 EncodeManager:            7.20312 KiB (1:1789.98 ratio)
 EncodeManager:     Bitmap RLE: 23 rects, 14.277 kpixels
 EncodeManager:                 715 B (1:80.2573 ratio)
 EncodeManager:     Indexed RLE: 747 rects, 683.402 kpixels
 EncodeManager:                  136.849 KiB (1:19.5712 ratio)
 EncodeManager:   Tight (JPEG):
 EncodeManager:     Full Colour: 447 rects, 4.79015 Mpixels
 EncodeManager:                  1.38256 MiB (1:13.2205 ratio)
 EncodeManager:   Total: 1.678 krects, 8.78717 Mpixels
 EncodeManager:          1.52391 MiB (1:22.0088 ratio)
 ComparingUpdateTracker: 0 pixels in / 0 pixels out
 ComparingUpdateTracker: (1:-nan ratio)
------- Comment #11 From cendio 2017-02-21 09:36:47 -------
(In reply to comment #10)
> Resize in EDGE on Windows 10 from big to small will result in a disconnect:
> 
>  VNCSConnST:  tl-shadow-notify: CloseAuthenticatedConnection
>  Connections: closed: 127.0.0.1::36190 (Pixel buffer request 0x0 at 1030,880
>               exceeds framebuffer 782x535)
>  EncodeManager: Framebuffer updates: 228
>  EncodeManager:   Tight:
>  EncodeManager:     Solid: 461 rects, 3.29934 Mpixels
>  EncodeManager:            7.20312 KiB (1:1789.98 ratio)
>  EncodeManager:     Bitmap RLE: 23 rects, 14.277 kpixels
>  EncodeManager:                 715 B (1:80.2573 ratio)
>  EncodeManager:     Indexed RLE: 747 rects, 683.402 kpixels
>  EncodeManager:                  136.849 KiB (1:19.5712 ratio)
>  EncodeManager:   Tight (JPEG):
>  EncodeManager:     Full Colour: 447 rects, 4.79015 Mpixels
>  EncodeManager:                  1.38256 MiB (1:13.2205 ratio)
>  EncodeManager:   Total: 1.678 krects, 8.78717 Mpixels
>  EncodeManager:          1.52391 MiB (1:22.0088 ratio)
>  ComparingUpdateTracker: 0 pixels in / 0 pixels out
>  ComparingUpdateTracker: (1:-nan ratio)

Also reproduced using IE on Windows 10. Firefox and Chrome works as expected.
------- Comment #12 From cendio 2017-02-22 15:20:52 -------
*** Bug 6171 has been marked as a duplicate of this bug. ***
------- Comment #13 From cendio 2017-02-23 13:02:37 -------
These issues were actually caused by the heap overflow protection from bug
6153.
------- Comment #15 From cendio 2017-02-23 14:33:50 -------
Clicking many times very fast on Chrome could cause a crash that has now also
been fixed.

Upstream report:

https://github.com/novnc/noVNC/issues/779
------- Comment #16 From cendio 2017-03-03 13:20:39 -------
Here is a summary of what i have retested:

 - Chrome on Windows, Scroll webpage while playing youtube hangs updates 
   until mouse moves...

 - Chrome Desktop. Scale down window and scrollbars appears even if not 
   necessary due to session resize.

 - Chrome Desktop, Rigth click brings context menu of browser instead of
   being sent into session. This breaks subsequential mouse clicks both left 
   and right.

 - Chrome Windows, Mouse cursor is not changed to hand when dragging window
   into a session. (local cursor)

 - Internet Explorer, if session is scaled down in two steps using xrandr,
   the canvas centering is offsetetd due to confusion about size.

 - Edge, resize window to smaller size eg. triggering automatic session
   resize interrupts the connection eg. Xvnc crash.

No problems found testing the above issues using browsers on Windows 10.

Also, Thomas have tested click, resize and mouse on MacOS X
------- Comment #17 From cendio 2017-05-11 14:04:16 -------
Regression since r32196 we get an error in Chrome on any touch devices when
using two fingers on the screen:

> Uncaught TypeError: Cannot read property 'dispatchEvent' of null

Steps to reproduce:

 1. Put one finger on the screen
 2. While keeping the first finger on the screen, touch with a second finger
 3. Move the first finger away
------- Comment #19 From cendio 2017-05-11 15:44:55 -------
Fixed now.

In addition to reproducing the issue mentioned in comment #17 and verifying
that it is fixed now, the tester should verify that mouse input to the session
and the control bar handle still works. Due to the nature of the changes, it is
especially important to verify that clicking inside the session or on the
handle and then dragging outside the browser window still works as expected.

We need to verify that the above still works in a lot of combinations of
browsers and platforms:

iOS
---
* Safari

Android
-------
* Chrome
* FF

Chromebook
----------
* Chrome

Windows 10 touch
----------------
* IE
* Edge
* Chrome
* FF

Windows 10
----------
* IE
* Edge
* Chrome
* FF

macOS
-----
* Safari
------- Comment #22 From cendio 2017-05-15 09:15:05 -------
iOS
---
✓ Safari
------- Comment #23 From cendio 2017-05-15 10:01:43 -------
Android
-------
✓ Chrome
✓ FF

Chromebook
----------
✓ Chrome

Windows 10 touch
----------------
✓ IE
✓ Edge
✓ Chrome
✓ FF

Windows 10
----------
✓ IE
✓ Edge
✓ Chrome
✓ FF

macOS
-----
✓ Safari